@import url("https://fonts.googleapis.com/css2?family=Play&display=swap");

body {
  margin-right: auto;
  margin-left: auto;
  margin-top: auto;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(
    45deg,
    #37102e,
    #57133e,
    #a42236,
    #c43923,
    #ff4d00,
    #ff7300
  );
  font-family: "Courier New";
}

:root {
  --tamanio-boton: 25px;
  --border-radius-superior: 10px;
  --border-radius-inferior: 5px;
  --transparencia: 0.8;
}

.consola {
  max-width: 1024px;
  width: 80vw;
  height: 70vh;
  box-shadow: 6px 6px 15px black;
  background-color: #4c0d3d;
  opacity: var(--transparencia);
  border-top-right-radius: var(--border-radius-superior);
  border-top-left-radius: var(--border-radius-superior);
  border-bottom-right-radius: var(--border-radius-inferior);
  border-bottom-left-radius: var(--border-radius-inferior);
  transition: all 0.5s ease-in-out;
}

.terminal {
  width: 100%;
  height: 100%;
  padding: 10px;
  padding: 0;
  border-bottom-right-radius: var(--border-radius-inferior);
  border-bottom-left-radius: var(--border-radius-inferior);
}

.consola .barra {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  background-color: #2c2c2c;
  color: white;
  border-top-right-radius: var(--border-radius-superior);
  border-top-left-radius: var(--border-radius-superior);
  padding-top: 10px;
  padding-bottom: 10px;
}

.consola .mensaje {
  color: #3f8b34;
  font-size: x-large;
  font-weight: bold;
  padding: 10px;
}

.botonera {
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  margin-right: 10px;
}

button {
  color: white;
  border: none;
  opacity: var(--transparencia);
  height: var(--tamanio-boton);
  width: var(--tamanio-boton);
  background-color: #e63812;
  border-radius: 50%;
  margin-right: 3px;
  font-family: "Play";
  transition: all 0.5s;
}

button:hover {
  background-color: #f26549;
}

.mensaje a {
  color: white;
  text-decoration: none;
}

.mensaje strong {
  color: #b1ae13;
}

.invisible {
  display: none;
}

.maximizado {
  width: 100vw;
  height: 100vh;
  max-width: 100vw;
  transition: all 0.5s;
}

.minimizado {
  height: 0px;
  width: 300px;
  transition: all 0.5s;
}

.barra-minimizada {
  border-bottom-right-radius: var(--border-radius-superior);
  border-bottom-left-radius: var(--border-radius-superior);
  max-width: 300px;
  box-shadow: 6px 6px 15px black;
}
